Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Working with Virgo and Hibernate
Working with Virgo and Hibernate [message #780837] Thu, 19 January 2012 14:56 Go to next message
Gabriel Afonso is currently offline Gabriel Afonso
Messages: 23
Registered: December 2011
Junior Member
Hi, I'am traying to delevop an application (WAB) with a connection to a Data Base, but I can't find the way to work With Virgo and Hibernate.

I have followed this example https://github.com/dsklyut/virgo-samples-greenpages but it doesn't work, because there are a dependency problem.

Is it possible to work with Virgo and Hibernate? How can I do this?

Or a way to create an application with a Data Base connection in Virgo.


Thanks,

Gabriel

[Updated on: Thu, 19 January 2012 15:00]

Report message to a moderator

Re: Working with Virgo and Hibernate [message #780842 is a reply to message #780837] Thu, 19 January 2012 15:08 Go to previous messageGo to next message
Dmitry Sklyut is currently offline Dmitry Sklyut
Messages: 272
Registered: January 2010
Senior Member
I have not updated that example in a while. Lack of time.

What versions of virgo and hibernate are you trying to use?
Which dependency is missing?

I had a lot of good luck using hibernate in Virgo. I will try to allocate some time over this weekend to update the code to run against latest Virgo and Hibernate releases.

Regards,
Dmitry
Re: Working with Virgo and Hibernate [message #780844 is a reply to message #780842] Thu, 19 January 2012 15:13 Go to previous messageGo to next message
Gabriel Afonso is currently offline Gabriel Afonso
Messages: 23
Registered: December 2011
Junior Member
Hi, thanks for the answer. this is the error message when I'm traying to install this example:

[2012-01-19 10:13:21.694] fs-watcher                   <DE0002E> Installation of par 'greenpages-hibernate-native' version '2.4.0.BUILD-SNAPSHOT' failed. org.eclipse.virgo.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db' at version '2.4.0.BUILD-SNAPSHOT': Cannot resolve: greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db
    Resolver report:
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.web_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.app_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.hibernate_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-synthetic.context_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: greenpages; version="0.0.0"> constrained to bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.app> constrained bundle version range "[2.4.0.BUILD-SNAPSHOT,2.4.0.BUILD-SNAPSHOT]"
            with attributes {module_scope=greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT}

        An Import-Package could not be resolved. Caused by missing constraint in bundle <org.eclipse.virgo.samples.hibernate.core_3.6.0.Final>
             constraint: <Import-Package: org.objectweb.asm; version="[3.1.0,4.0.0)">
        The fragment could not be resolved because of a constraint conflict with a host, possibly because the host is already resolved. The affected fragment is org.eclipse.virgo.samples.hibernate.entitymanager_3.6.0.Final
            Possible hosts:
                org.eclipse.virgo.samples.hibernate.core_3.6.0.Final (not resolved)
            Constraint conflict:
                Import-Package: org.hibernate.annotations.common; version="3.6.0.Final"
        The fragment could not be resolved because of a constraint conflict with a host, possibly because the host is already resolved. The affected fragment is org.eclipse.virgo.samples.hibernate.entitymanager_3.6.0.Final
            Possible hosts:
                org.eclipse.virgo.samples.hibernate.core_3.6.0.Final (not resolved)
            Constraint conflict:
                Import-Package: org.hibernate.annotations.common.reflection; version="3.6.0.Final"

	at org.eclipse.virgo.kernel.install.pipeline.stage.resolve.internal.QuasiResolveStage.process(QuasiResolveStage.java:45)
	at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessTree(StandardPipeline.java:62)
	at org.eclipse.virgo.kernel.install.pipeline.internal.CompensatingPipeline.doProcessTree(CompensatingPipeline.java:72)
	at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
	at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessTree(StandardPipeline.java:62)
	at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDeployer.java:285)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.doInstall(PipelinedApplicationDeployer.java:164)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.install(PipelinedApplicationDeployer.java:136)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.deploy(PipelinedApplicationDeployer.java:203)
	at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeploymentFileSystemListener.java:174)
	at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.deployIfNotDeployed(HotDeploymentFileSystemListener.java:186)
	at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeploymentFileSystemListener.java:87)
	at org.eclipse.virgo.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:245)
	at org.eclipse.virgo.util.io.FileSystemChecker.check(FileSystemChecker.java:166)
	at org.eclipse.virgo.kernel.deployer.hot.WatchTask.run(WatchTask.java:58)
	at java.lang.Thread.run(Thread.java:662)

[2012-01-19 10:13:21.698] fs-watcher                   <DE0003E> Install failed for bundle 'greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db' version '2.4.0.BUILD-SNAPSHOT'. 
[2012-01-19 10:13:21.703] fs-watcher                   <DE0003E> Install failed for bundle 'greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.app' version '2.4.0.BUILD-SNAPSHOT'. 
[2012-01-19 10:13:21.705] fs-watcher                   <DE0003E> Install failed for bundle 'greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.web' version '2.4.0.BUILD-SNAPSHOT'. 
[2012-01-19 10:13:21.707] fs-watcher                   <DE0003E> Install failed for bundle 'greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.hibernate' version '2.4.0.BUILD-SNAPSHOT'. 
[2012-01-19 10:13:21.708] fs-watcher                   <DE0003E> Install failed for par 'greenpages-hibernate-native' version '2.4.0.BUILD-SNAPSHOT'. 
[2012-01-19 10:13:21.711] fs-watcher                   <DE0500E> Unable to install application from URI 'file:/home/gafonso/Virgo/virgo-tomcat-server-3.0.2.RELEASE/pickup/greenpages-solution-hibernate-native-2.4.0.BUILD-SNAPSHOT.par'. Cannot satisfy constraints for bundle 'greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db' version '2.4.0.BUILD-SNAPSHOT'. Cannot resolve: greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db
    Resolver report:
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.web_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.app_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.hibernate_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-synthetic.context_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: greenpages; version="0.0.0"> constrained to bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.app> constrained bundle version range "[2.4.0.BUILD-SNAPSHOT,2.4.0.BUILD-SNAPSHOT]"
            with attributes {module_scope=greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT}

        An Import-Package could not be resolved. Caused by missing constraint in bundle <org.eclipse.virgo.samples.hibernate.core_3.6.0.Final>
             constraint: <Import-Package: org.objectweb.asm; version="[3.1.0,4.0.0)">
        The fragment could not be resolved because of a constraint conflict with a host, possibly because the host is already resolved. The affected fragment is org.eclipse.virgo.samples.hibernate.entitymanager_3.6.0.Final
            Possible hosts:
                org.eclipse.virgo.samples.hibernate.core_3.6.0.Final (not resolved)
            Constraint conflict:
                Import-Package: org.hibernate.annotations.common; version="3.6.0.Final"
        The fragment could not be resolved because of a constraint conflict with a host, possibly because the host is already resolved. The affected fragment is org.eclipse.virgo.samples.hibernate.entitymanager_3.6.0.Final
            Possible hosts:
                org.eclipse.virgo.samples.hibernate.core_3.6.0.Final (not resolved)
            Constraint conflict:
                Import-Package: org.hibernate.annotations.common.reflection; version="3.6.0.Final"
. org.eclipse.virgo.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db' at version '2.4.0.BUILD-SNAPSHOT': Cannot resolve: greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db
    Resolver report:
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.web_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.app_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.hibernate_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-synthetic.context_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: greenpages; version="0.0.0"> constrained to bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.app> constrained bundle version range "[2.4.0.BUILD-SNAPSHOT,2.4.0.BUILD-SNAPSHOT]"
            with attributes {module_scope=greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT}

        An Import-Package could not be resolved. Caused by missing constraint in bundle <org.eclipse.virgo.samples.hibernate.core_3.6.0.Final>
             constraint: <Import-Package: org.objectweb.asm; version="[3.1.0,4.0.0)">
        The fragment could not be resolved because of a constraint conflict with a host, possibly because the host is already resolved. The affected fragment is org.eclipse.virgo.samples.hibernate.entitymanager_3.6.0.Final
            Possible hosts:
                org.eclipse.virgo.samples.hibernate.core_3.6.0.Final (not resolved)
            Constraint conflict:
                Import-Package: org.hibernate.annotations.common; version="3.6.0.Final"
        The fragment could not be resolved because of a constraint conflict with a host, possibly because the host is already resolved. The affected fragment is org.eclipse.virgo.samples.hibernate.entitymanager_3.6.0.Final
            Possible hosts:
                org.eclipse.virgo.samples.hibernate.core_3.6.0.Final (not resolved)
            Constraint conflict:
                Import-Package: org.hibernate.annotations.common.reflection; version="3.6.0.Final"

	at org.eclipse.virgo.kernel.install.pipeline.stage.resolve.internal.QuasiResolveStage.process(QuasiResolveStage.java:45)
	at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessTree(StandardPipeline.java:62)
	at org.eclipse.virgo.kernel.install.pipeline.internal.CompensatingPipeline.doProcessTree(CompensatingPipeline.java:72)
	at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
	at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessTree(StandardPipeline.java:62)
	at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDeployer.java:285)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.doInstall(PipelinedApplicationDeployer.java:164)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.install(PipelinedApplicationDeployer.java:136)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.deploy(PipelinedApplicationDeployer.java:203)
	at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeploymentFileSystemListener.java:174)
	at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.deployIfNotDeployed(HotDeploymentFileSystemListener.java:186)
	at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeploymentFileSystemListener.java:87)
	at org.eclipse.virgo.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:245)
	at org.eclipse.virgo.util.io.FileSystemChecker.check(FileSystemChecker.java:166)
	at org.eclipse.virgo.kernel.deployer.hot.WatchTask.run(WatchTask.java:58)
	at java.lang.Thread.run(Thread.java:662)

[2012-01-19 10:13:21.727] fs-watcher                   <HD0002E> Hot deploy failed for file 'greenpages-solution-hibernate-native-2.4.0.BUILD-SNAPSHOT.par'. org.eclipse.virgo.kernel.deployer.core.DeploymentException: Dependency satisfaction failed
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDeployer.java:288)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.doInstall(PipelinedApplicationDeployer.java:164)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.install(PipelinedApplicationDeployer.java:136)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.deploy(PipelinedApplicationDeployer.java:203)
	at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeploymentFileSystemListener.java:174)
	at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.deployIfNotDeployed(HotDeploymentFileSystemListener.java:186)
	at org.eclipse.virgo.kernel.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeploymentFileSystemListener.java:87)
	at org.eclipse.virgo.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:245)
	at org.eclipse.virgo.util.io.FileSystemChecker.check(FileSystemChecker.java:166)
	at org.eclipse.virgo.kernel.deployer.hot.WatchTask.run(WatchTask.java:58)
	at java.lang.Thread.run(Thread.java:662)
Caused by: org.eclipse.virgo.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db' at version '2.4.0.BUILD-SNAPSHOT': Cannot resolve: greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db
    Resolver report:
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.db_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.web_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.app_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.hibernate_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: org.hibernate.loader.collection; version="0.0.0"> constrained to bundle <org.eclipse.virgo.samples.hibernate.core> constrained bundle version range "[3.6.0.Final,3.6.0.Final]"
        An Import-Package could not be resolved. Caused by missing constraint in bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-synthetic.context_2.4.0.BUILD-SNAPSHOT>
             constraint: <Import-Package: greenpages; version="0.0.0"> constrained to bundle <greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT-greenpages.app> constrained bundle version range "[2.4.0.BUILD-SNAPSHOT,2.4.0.BUILD-SNAPSHOT]"
            with attributes {module_scope=greenpages-hibernate-native-2.4.0.BUILD-SNAPSHOT}

        An Import-Package could not be resolved. Caused by missing constraint in bundle <org.eclipse.virgo.samples.hibernate.core_3.6.0.Final>
             constraint: <Import-Package: org.objectweb.asm; version="[3.1.0,4.0.0)">
        The fragment could not be resolved because of a constraint conflict with a host, possibly because the host is already resolved. The affected fragment is org.eclipse.virgo.samples.hibernate.entitymanager_3.6.0.Final
            Possible hosts:
                org.eclipse.virgo.samples.hibernate.core_3.6.0.Final (not resolved)
            Constraint conflict:
                Import-Package: org.hibernate.annotations.common; version="3.6.0.Final"
        The fragment could not be resolved because of a constraint conflict with a host, possibly because the host is already resolved. The affected fragment is org.eclipse.virgo.samples.hibernate.entitymanager_3.6.0.Final
            Possible hosts:
                org.eclipse.virgo.samples.hibernate.core_3.6.0.Final (not resolved)
            Constraint conflict:
                Import-Package: org.hibernate.annotations.common.reflection; version="3.6.0.Final"

	at org.eclipse.virgo.kernel.install.pipeline.stage.resolve.internal.QuasiResolveStage.process(QuasiResolveStage.java:45)
	at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessTree(StandardPipeline.java:62)
	at org.eclipse.virgo.kernel.install.pipeline.internal.CompensatingPipeline.doProcessTree(CompensatingPipeline.java:72)
	at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
	at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessTree(StandardPipeline.java:62)
	at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDeployer.java:285)
	... 10 common frames omitted




I'm using Virgo 3.0.2.Release and the springframework.3.0.5

I use the same Hibernate library showed in the example

[Updated on: Thu, 19 January 2012 15:16]

Report message to a moderator

Re: Working with Virgo and Hibernate [message #780858 is a reply to message #780844] Thu, 19 January 2012 17:10 Go to previous messageGo to next message
Dmitry Sklyut is currently offline Dmitry Sklyut
Messages: 272
Registered: January 2010
Senior Member
I just pushed updates. I only tested greenpages.hibernate.native.par

Start with that and let me know. Also notice that I updated instructions in README.txt. Code is targeted to run on Virgo 3.0.2.RELEASE now. There is no need to upgrade version of spring as 3.0.2 virgo already ships with 3.0.5 of spring.

Regards,
Dmitry
Re: Working with Virgo and Hibernate [message #780889 is a reply to message #780858] Thu, 19 January 2012 19:46 Go to previous messageGo to next message
Gabriel Afonso is currently offline Gabriel Afonso
Messages: 23
Registered: December 2011
Junior Member
Ok thanks, i'm going to try it.

Regards,
Gabriel
Re: Working with Virgo and Hibernate [message #780905 is a reply to message #780889] Thu, 19 January 2012 21:24 Go to previous messageGo to next message
Gabriel Afonso is currently offline Gabriel Afonso
Messages: 23
Registered: December 2011
Junior Member
Dmitry, I tried greenpages.hibernate.native.par and work fine now but it doesnt return anny user when I write a name in the Text Field.

I tried greenpages.hibernate.jpa.par but it doesn't work.

How Can I create a War with connection to MySql DataBase in Virgo??? I'm can't find bundles for references
Re: Working with Virgo and Hibernate [message #780921 is a reply to message #780905] Thu, 19 January 2012 22:56 Go to previous message
Dmitry Sklyut is currently offline Dmitry Sklyut
Messages: 272
Registered: January 2010
Senior Member
Gabriel,

Did you populate h2 database with data?

5. Start demo database
  cd virgo-samples-greenpages/db
  ./run.sh
  ./data.sh

NOTE: data.sh will preload some data and create schema.


in db/db.sql you will find:

INSERT INTO LISTING VALUES(1, 'Rod', 'Johnson', 'rod.johnson@springsource.com');
INSERT INTO LISTING VALUES(2, 'Rob', 'Harrop', 'rob.harrop@springsource.com');
INSERT INTO LISTING VALUES(3, 'Glyn', 'Normington', 'glyn.normington@springsource.com');
INSERT INTO LISTING VALUES(4, 'Andy', 'Wilkinson', 'andy.wilkinson@springsource.com');
INSERT INTO LISTING VALUES(5, 'Ben', 'Hale', 'ben.hale@springsource.com');
INSERT INTO LISTING VALUES(6, 'Chris', 'Frost', 'chris.frost@springsource.com');
INSERT INTO LISTING VALUES(7, 'Steve', 'Powell', 'steve.powell@springsource.com');
INSERT INTO LISTING VALUES(8, 'Christian', 'Dupuis', 'christian.dupuis@springsource.com');


Previous Topic:What bundles Should I use to work with Hibernate and Virgo?
Next Topic:Gradle : Bundlor plugin in Groovy
Goto Forum:
  


Current Time: Sat Sep 20 14:18:47 GMT 2014

Powered by FUDForum. Page generated in 0.09947 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software